function [xx,yy] = findbymaxes(imax)
% Divide picture in overlapping rectangles, and find local max in 
% each. Keep only those max that are >20% of abs. max. Drop duplicates.
% Grab the middle point (one closest to cm). Iteratively find nearest to
% current point, and remove that from the collection. This should yield
% the leech in two pieces. Find out whether the second part is tail-to-middle
% or middle-to-tail. Second part starts where jump is greatest.

[mxs1,xx1,yy1] = bunchamax(imax,24,8);
[mxs2,yy2,xx2] = bunchamax(imax',24,8);
[mxs,xx,yy] = uniqmax([mxs1 mxs2],[xx1 xx2],[yy1 yy2]);
[mxs,xx,yy] = threshmax(mxs,xx,yy,.4);
[xx,yy] = sorttonearest(xx,yy);
